import PathManager from './pathManager';
import TitleManager from './titleManager';
import { State } from '../state';
import PathInfo from '../../pathInfo';
import { Result } from './common';
export default class PathInfoManager {
    state: State;
    pathManager: PathManager;
    titleManager: TitleManager;
    constructor(state: State, pathManager: PathManager, titleManager: TitleManager);
    infoFromFile(relFile: string): Promise<Result<PathInfo>>;
    infoFromDir(relDir: string): Promise<Result<PathInfo>>;
    infoFromFiles(relFiles: string[]): Promise<PathInfo[]>;
    infoFromDirs(relDirs: string[]): Promise<PathInfo[]>;
}
